diff --git a/pgadmin/dlg/dlgReassignDropOwned.cpp b/pgadmin/dlg/dlgReassignDropOwned.cpp
index 5ffc8f9..9aa7788 100644
--- a/pgadmin/dlg/dlgReassignDropOwned.cpp
+++ b/pgadmin/dlg/dlgReassignDropOwned.cpp
@@ -47,6 +47,7 @@ dlgReassignDropOwned::dlgReassignDropOwned(frmMain *win, pgConn *conn,
 
 	wxWindowBase::SetFont(settings->GetSystemFont());
 	LoadResource(win, wxT("dlgReassignDropOwned"));
+	RestorePosition();
 
 	cbRoles->Clear();
 	query = wxT("SELECT rolname FROM pg_roles WHERE rolname<>") + conn->qtDbString(role->GetName()) + wxT(" ORDER BY rolname");
@@ -75,6 +76,8 @@ dlgReassignDropOwned::dlgReassignDropOwned(frmMain *win, pgConn *conn,
 
 	if(rbReassignTo->GetValue() && cbRoles->GetStrings().Count() <= 0)
 		btnOK->Disable();
+
+	SetSize(330, 160);
 }
 
 dlgReassignDropOwned::~dlgReassignDropOwned()
diff --git a/pgadmin/ui/dlgReassignDropOwned.xrc b/pgadmin/ui/dlgReassignDropOwned.xrc
index 60029a6..4c2e2da 100644
--- a/pgadmin/ui/dlgReassignDropOwned.xrc
+++ b/pgadmin/ui/dlgReassignDropOwned.xrc
@@ -3,7 +3,7 @@
   <object class="wxDialog" name="dlgReassignDropOwned">
     <title>Reassign/Drop Owned</title>
     <size>200,200d</size>
-    <style>wxDEFAULT_DIALOG_STYLE|wxCAPTION|wxSYSTEM_MENU|wxRESIZE_BORDER</style>
+    <style>wxDEFAULT_DIALOG_STYLE|wxCAPTION|wxSYSTEM_MENU</style>
     <object class="wxFlexGridSizer">
       <cols>1</cols>
       <vgap>5</vgap>
